

/**********************************************************************
                                modulsystem
 **********************************************************************/



// spter wird hieraus Gadtools NewMenu dynamisch erzeugt, um customized
//   Mens anbieten zu knnen:

/* User soll eigene Menpunkte definieren knnen, hinter denen sich */
/* Rexx-Scripte, CLI-Kommandos, Newsbreaker-Module oder hnliches verbergen. */

/* Eines Tages wird diese Routine verschwinden                  */
/*   und alle Funktionen werden dynamisch aufgerufen            */
/*   ber ihre Adresse. Vorteil: EIN  lowlevel-Interface        */
/*   fr Mensystem, Messages, ARexx, wasweiich ... mglich!   */

/*   Problem: wie springe ich eine Funktion dynamisch an?       */
// Callback:
/*   siehe dazu die LISTSORT-Sortiersubroutine                  */


/* Wre schn einfach: Sprungadressen der Module gleich in NewMenu */
/* So auf switch verzichtet werden kann in DoMenus. Wie geht das?  */


struct Modul {
		UBYTE	mod_ID;			/* Eindeutige Schlssel-Nummer des Befehls-Moduls */
		char	mod_DefComKey;	/* Default Command Key fr Menu */
		char	*mod_Name;		/* Informativer Name vom Modul, z.B. "ffnen" */
		char	*mod_Hilfe;		/* kurzer Hilfstext */
		char	*mod_HelpLink;	/* Weitergehende Hilfe, Link zu AmigaGuide-Dokument-Seite */
	};

struct Men2Mod {	// zum Mappen von MenuNum und Modul
		ULONG	MenuNum;			/* Intuition-Mennummer fr NewMenu */
		UBYTE	ModID;				/* das dazugehrige Befehlsmodul */
	};

static struct Modul 	ModulListe[] = {
		{ 1,	'o',	"ffnen",	"ffnet eine Datei", 		NULL },
		{ 2,	'q',	"Ende",		"Beendet dieses Programm", 	NULL },
		{ 3,	'm',	"Gruppe",	"Whlt eine Gruppe",		NULL }
	};


